Bug 538337 - Review Request: dia-Digital - Dia Digital Shapes
Summary: Review Request: dia-Digital - Dia Digital Shapes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-18 09:58 UTC by Chitlesh GOORAH
Modified: 2009-12-10 04:02 UTC (History)
3 users (show)

Fixed In Version: 0.1-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-24 07:33:02 UTC
panemade: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Chitlesh GOORAH 2009-11-18 09:58:38 UTC
Spec URL: http://chitlesh.fedorapeople.org/RPMS/dia-Digital.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/dia-Digital-0.1-1.fc12.src.rpm
Description:
The following shapes are included in the package:
 * Buffer
 * Inverter
 * AND
 * NAND
 * OR
 * NOR
 * XOR
 * XNOR
 * Multiplexer/Demultiplexer
 * Adder/Subtractor/Multiplier/Divider
 * Register
 * Connection Point

Comment 1 Parag AN(पराग) 2009-11-20 05:53:35 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1818822
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url(sha1sum)
bbb5887fdc51b8463cb0ad7700b9b60b250212e7  digital.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

Suggestions:
License should be GPLv2+

APPROVED.

Comment 2 Chitlesh GOORAH 2009-11-20 12:33:32 UTC
New Package CVS Request
=======================
Package Name: dia-Digital
Short Description: Dia Digital Shapes
Owners: chitlesh
Branches: F-11 F-12 EL-5

Comment 3 Dennis Gilmore 2009-11-20 22:34:23 UTC
CVS Done

Comment 4 Fedora Update System 2009-11-20 23:45:22 UTC
dia-Digital-0.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dia-Digital-0.1-1.fc12

Comment 5 Fedora Update System 2009-11-20 23:45:27 UTC
dia-Digital-0.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/dia-Digital-0.1-1.el5

Comment 6 Fedora Update System 2009-11-20 23:45:32 UTC
dia-Digital-0.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dia-Digital-0.1-1.fc11

Comment 7 Fedora Update System 2009-11-23 16:54:38 UTC
dia-Digital-0.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dia-Digital'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0884

Comment 8 Fedora Update System 2009-11-24 07:32:57 UTC
dia-Digital-0.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-11-24 07:55:01 UTC
dia-Digital-0.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-12-10 04:02:42 UTC
dia-Digital-0.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.